安装Redis报错You need tcl 8.5or newer in order to run the Redis test

  Linux 系统在安装 Redis 时需要进行编译和安装操作,其中编译操作完成后,需要进行 make test 测试,当我们进行测试的时候发生 You need tcl 8.5 or newer in order to run the Redis test 错误,信息如下:
安装Redis报错You need tcl 8.5or newer in order to run the Redis test_第1张图片

解决方案:我们只需要安装 tcl 后,即可解决该问题。

  • 首先下载 tcl

  • 然后将下载好的 tcl 压缩包发送给 Linux 系统的 ~/Downloads 目录
  • 最后安装 tcl

    sudo tar xzvf tcl8.6.1-src.tar.gz -C /usr/local/
    cd /usr/local/tcl8.6.1/unix/
    sudo ./configure
    sudo make
    sudo make install

    解压操作

    3.png

    安装完成后,再次进行 Redis 测试操作即可。

你可能感兴趣的